package com.ruoyi.nanjing.domain;

import java.util.Date;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * traceState对象 T_SY_TraceState
 * 
 * @author limy
 * @date 2021-01-29
 */
public class TSyTracestate extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** null */
    @Excel(name = "null")
    private String barcode;

    /** 产品ID */
    @Excel(name = "产品ID")
    private String productID;

    /** 开始时间 */
    @Excel(name = "开始时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date beginTime;

    /** 结束时间 */
    @Excel(name = "结束时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date endTime;

    /** 班次ID */
    @Excel(name = "班次ID")
    private String shiftID;

    /** 班组ID */
    @Excel(name = "班组ID")
    private String groupID;

    /** 班次号 */
    @Excel(name = "班次号")
    private String shiftNo;

    /** 条码A */
    @Excel(name = "条码A")
    private String semibarcodeA;

    /** 条码B */
    @Excel(name = "条码B")
    private String semibarcodeB;

    /** 条码C */
    @Excel(name = "条码C")
    private String semibarcodeC;

    /** 产品码 */
    @Excel(name = "产品码")
    private String productBarcode;

    /** SemiBarcode2 */
    @Excel(name = "SemiBarcode2")
    private String semiBarcode2;

    /** shellbarcode */
    @Excel(name = "shellbarcode")
    private String shellbarcode;

    /** NameplateInfo */
    @Excel(name = "NameplateInfo")
    private String nameplateInfo;

    /** MarkRecord */
    @Excel(name = "MarkRecord")
    private String markRecord;

    /** 属性1 */
    @Excel(name = "属性1")
    private String attr1;

    /** 属性2 */
    @Excel(name = "属性2")
    private String attr2;

    /** 拆解状态 */
    @Excel(name = "拆解状态")
    private String isDis;

    /** 拆解操作人 */
    @Excel(name = "拆解操作人")
    private String disChecker;

    /** 拆解时间 */
    @Excel(name = "拆解时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date disTime;

    /** 合格状态 */
    @Excel(name = "合格状态")
    private String state;

    /** 当前工位 */
    @Excel(name = "当前工位")
    private String currentStationID;

    /** NG工位 */
    @Excel(name = "NG工位")
    private String nGStationID;

    /** 完成状态 */
    @Excel(name = "完成状态")
    private String finishFlag;

    /** 不合格原因 */
    @Excel(name = "不合格原因")
    private String d9Remark;

    public void setBarcode(String barcode) 
    {
        this.barcode = barcode;
    }

    public String getBarcode() 
    {
        return barcode;
    }
    public void setProductID(String productID) 
    {
        this.productID = productID;
    }

    public String getProductID() 
    {
        return productID;
    }
    public void setBeginTime(Date beginTime) 
    {
        this.beginTime = beginTime;
    }

    public Date getBeginTime() 
    {
        return beginTime;
    }
    public void setEndTime(Date endTime) 
    {
        this.endTime = endTime;
    }

    public Date getEndTime() 
    {
        return endTime;
    }
    public void setShiftID(String shiftID) 
    {
        this.shiftID = shiftID;
    }

    public String getShiftID() 
    {
        return shiftID;
    }
    public void setGroupID(String groupID) 
    {
        this.groupID = groupID;
    }

    public String getGroupID() 
    {
        return groupID;
    }
    public void setShiftNo(String shiftNo) 
    {
        this.shiftNo = shiftNo;
    }

    public String getShiftNo() 
    {
        return shiftNo;
    }
    public void setSemibarcodeA(String semibarcodeA) 
    {
        this.semibarcodeA = semibarcodeA;
    }

    public String getSemibarcodeA() 
    {
        return semibarcodeA;
    }
    public void setSemibarcodeB(String semibarcodeB) 
    {
        this.semibarcodeB = semibarcodeB;
    }

    public String getSemibarcodeB() 
    {
        return semibarcodeB;
    }
    public void setSemibarcodeC(String semibarcodeC) 
    {
        this.semibarcodeC = semibarcodeC;
    }

    public String getSemibarcodeC() 
    {
        return semibarcodeC;
    }
    public void setProductBarcode(String productBarcode) 
    {
        this.productBarcode = productBarcode;
    }

    public String getProductBarcode() 
    {
        return productBarcode;
    }
    public void setSemiBarcode2(String semiBarcode2) 
    {
        this.semiBarcode2 = semiBarcode2;
    }

    public String getSemiBarcode2() 
    {
        return semiBarcode2;
    }
    public void setShellbarcode(String shellbarcode) 
    {
        this.shellbarcode = shellbarcode;
    }

    public String getShellbarcode() 
    {
        return shellbarcode;
    }
    public void setNameplateInfo(String nameplateInfo) 
    {
        this.nameplateInfo = nameplateInfo;
    }

    public String getNameplateInfo() 
    {
        return nameplateInfo;
    }
    public void setMarkRecord(String markRecord) 
    {
        this.markRecord = markRecord;
    }

    public String getMarkRecord() 
    {
        return markRecord;
    }
    public void setAttr1(String attr1) 
    {
        this.attr1 = attr1;
    }

    public String getAttr1() 
    {
        return attr1;
    }
    public void setAttr2(String attr2) 
    {
        this.attr2 = attr2;
    }

    public String getAttr2() 
    {
        return attr2;
    }
    public void setIsDis(String isDis) 
    {
        this.isDis = isDis;
    }

    public String getIsDis() 
    {
        return isDis;
    }
    public void setDisChecker(String disChecker) 
    {
        this.disChecker = disChecker;
    }

    public String getDisChecker() 
    {
        return disChecker;
    }
    public void setDisTime(Date disTime) 
    {
        this.disTime = disTime;
    }

    public Date getDisTime() 
    {
        return disTime;
    }
    public void setState(String state) 
    {
        this.state = state;
    }

    public String getState() 
    {
        return state;
    }
    public void setCurrentStationID(String currentStationID) 
    {
        this.currentStationID = currentStationID;
    }

    public String getCurrentStationID() 
    {
        return currentStationID;
    }
    public void setnGStationID(String nGStationID) 
    {
        this.nGStationID = nGStationID;
    }

    public String getnGStationID() 
    {
        return nGStationID;
    }
    public void setFinishFlag(String finishFlag) 
    {
        this.finishFlag = finishFlag;
    }

    public String getFinishFlag() 
    {
        return finishFlag;
    }
    public void setD9Remark(String d9Remark) 
    {
        this.d9Remark = d9Remark;
    }

    public String getD9Remark() 
    {
        return d9Remark;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("barcode", getBarcode())
            .append("productID", getProductID())
            .append("beginTime", getBeginTime())
            .append("endTime", getEndTime())
            .append("shiftID", getShiftID())
            .append("groupID", getGroupID())
            .append("shiftNo", getShiftNo())
            .append("semibarcodeA", getSemibarcodeA())
            .append("semibarcodeB", getSemibarcodeB())
            .append("semibarcodeC", getSemibarcodeC())
            .append("productBarcode", getProductBarcode())
            .append("semiBarcode2", getSemiBarcode2())
            .append("shellbarcode", getShellbarcode())
            .append("nameplateInfo", getNameplateInfo())
            .append("markRecord", getMarkRecord())
            .append("attr1", getAttr1())
            .append("attr2", getAttr2())
            .append("isDis", getIsDis())
            .append("disChecker", getDisChecker())
            .append("disTime", getDisTime())
            .append("state", getState())
            .append("currentStationID", getCurrentStationID())
            .append("nGStationID", getnGStationID())
            .append("finishFlag", getFinishFlag())
            .append("d9Remark", getD9Remark())
            .toString();
    }
}
